Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.controls.ejb.property
Interface EntityPropertyManager

All Superinterfaces
  Serializable

    @ControlInterface
    public interface EntityPropertyManager

extends Serializable

EntityPropertyManager is the remote interface for a session bean that manages persistence of ConfigurableEntity EJB's and their properties. The default implementation uses the WLPS database as its backing store, other implementations may use other datastores such as an LDAP server.

Each ConfigurableEntity must have an ejb-ref in its deployment descriptor that can be used to identify the correct EntityPropertyManager to use.

This control has been deprecated. Instead, use the ProfileControl to get an instance of the EntityPropertyManager associated with that profile manager, and use the API directly on the EntityPropertyManager.

See Also
  `EntityPropertyManager`, `EntityPropertyCache`, `ConfigurableEntity`, `PropertyLocator`

Method Summary
`long` | `createUniqueId(String jndiHomeName, String pkString)` Deprecated with no replacement
`String[]` | `getDynamicProperties(PropertyLocator locator, String pkString)` Deprecated with no replacement
`String[]` | `getEntityNames(String anEntityId)` Deprecated with no replacement
`EntityPropertyCache` | `getProperties(PropertyLocator locator)` Deprecated Use the ProfileControl to get the user or group profile manager, then call getProperties() on that. For example: ProfileControl.getUserProfileManager().getProperties(profileName, propertySetName)
`Object` | `getProperty(PropertyLocator locator, String propertySet, String propertyName)` Deprecated Use the ProfileControl to get the user or group profile manager, then call getProperties() on that. For example: ProfileControl.getUserProfileManager().getProperty(profileName, propertySet, propertyName)
`PropertyLocator` | `getPropertyLocator(long anEntityId)` Deprecated with no replacement
`long` | `getUniqueId(String homeName, String pkString)` Deprecated with no replacement
`void` | `removeEntity(PropertyLocator locator)` Deprecated with no replacement
`void` | `removeProperties(PropertyLocator locator)` Deprecated with no replacement
`Object` | `removeProperty(PropertyLocator locator, String propertySet, String propertyName)` Deprecated Use the ProfileControl to get the user or group profile manager, then call getProperties() on that . For example: ProfileControl.getUserProfileManager().removeProperty(profileName, propertySet, propertyName)
`void` | `setProperty(PropertyLocator locator, String propertySet, String propertyName, Object value)` Deprecated Use the ProfileControl to get the user or group profile manager, then call setProperty() on that. For example: ProfileControl.getUserProfileManager().setProperty(profileName, propertySet, propertyName, value)

Method Detail

### createUniqueId

    long createUniqueId(String jndiHomeName,
                        String pkString)
                        throws P13nControlException

  Deprecated with no replacement

  Create a record for a new ConfigurableEntity, as identified by the given jndiHomeName and pkString.

  Parameters
    `jndiHomeName` - the entity's home name
    `pkString` - the entity's identifier string
  Returns
    the newly created entity id
  Throws
    `P13nControlException` - if there is an error creating the new Configurable Entity.

### getDynamicProperties

    String[] getDynamicProperties(PropertyLocator locator,
                                  String pkString)
                                  throws P13nControlException

  Deprecated with no replacement

  Returns a list of dynamically assigned properties for the given entity, that have been named with the given property set name. Dynamic properties are properties that have values persisted, and may even have a property set name, but are not actually defined in a property set.

  Dynamic properties could exist if the property set definition has been changed to remove a property but the given entity still has a value for this property. They could also exist if the entity has properties that were set using the property set name as the scope, but the property set definition does not contain the properties.

  If the given property set name is null then this method returns the property names that were set for this entity using null for the property set name.

  Parameters
    `locator` - a PropertyLocator identifying the entity to look up
    `propertySet` - the propertySet to look up
  Returns
    a String array of property names
  Throws
    `P13nControlException` - if the Entity cannot be found

### getEntityNames

    String[] getEntityNames(String anEntityId)
                            throws P13nControlException

  Deprecated with no replacement

  Get the PropertyLocator for the entity identified by the given entity id

  Parameters
    `anEntityId` - the unique id for the entity to look up
  Returns
    the entity's PropertyLocator
  Throws
    `P13nControlException` - if database errors occur while attempting the query

### getProperties

    EntityPropertyCache getProperties(PropertyLocator locator)
                                      throws P13nControlException

  Deprecated Use the ProfileControl to get the user or group profile manager, then call getProperties() on that. For example: ProfileControl.getUserProfileManager().getProperties(profileName, propertySetName)

  Returns an EntityPropertyCache full of all properties that are persisted for the given ConfigurableEntity

  Parameters
    `locator` - a PropertyLocator that identifies the entity
  Returns
    a populated EntityPropertyCache
  Throws
    `P13nControlException` - if the entity is not found

### getProperty

    Object getProperty(PropertyLocator locator,
                       String propertySet,
                       String propertyName)
                       throws P13nControlException

  Deprecated Use the ProfileControl to get the user or group profile manager, then call getProperties() on that. For example: ProfileControl.getUserProfileManager().getProperty(profileName, propertySet, propertyName)

  Returns the value of the property defined for the specified property and property set.

  If the property does not have a value persisted, then null is returned.

  Parameters
    `locator` - a PropertyLocator identifying the entity to look up
    `propertySet` - the name of the property set
    `propertyName` - the name of the property
  Returns
    the property's value, or null if there is none
  Throws
    `P13nControlException` - if the Entity cannot be found

### getPropertyLocator

    PropertyLocator getPropertyLocator(long anEntityId)
                                       throws P13nControlException

  Deprecated with no replacement

  Get the PropertyLocator for the entity identified by the given entity id

  Parameters
    `anEntityId` - the unique id for the entity to look up
  Returns
    the entity's PropertyLocator
  Throws
    `P13nControlException` - if the Entity cannot be found

### getUniqueId

    long getUniqueId(String homeName,
                     String pkString)
                     throws P13nControlException

  Deprecated with no replacement

  Returns the number that uniquely identifies the entity specified by the home name and the pk string.

  If the entity is not found, -1 will be returned.

  Parameters
    `homeName` - the entity's JNDI home name
    `pkString` - the entity's string identifier
  Returns
    the entity's unique id, or -1 if it was not found
  Throws
    `P13nControlException` - if the Entity cannot be found

### removeEntity

    void removeEntity(PropertyLocator locator)
                      throws P13nControlException

  Deprecated with no replacement

  Remove all properties, and the entity record, for the entity identified by the given property locator

  Parameters
    `locator` - the PropertyLocator identifying the entity to remove
  Throws
    `P13nControlException` - if the Entity cannot be found

### removeProperties

    void removeProperties(PropertyLocator locator)
                          throws P13nControlException

  Deprecated with no replacement

  Removes all property values associated with the entity specified by the property locator.scope

  Parameters
    `locator` - a PropertyLocator identifying the entity to modify
  Throws
    `P13nControlException` - if the Entity cannot be found

### removeProperty

    Object removeProperty(PropertyLocator locator,
                          String propertySet,
                          String propertyName)
                          throws P13nControlException

  Deprecated Use the ProfileControl to get the user or group profile manager, then call getProperties() on that . For example: ProfileControl.getUserProfileManager().removeProperty(profileName, propertySet, propertyName)

  Removes a specific property value from the entity specified by the property locator.

  Parameters
    `locator` - a PropertyLocator identifying the entity to modify
    `propertySet` - the property set containing the property to remove
    `propertyName` - the name of the property to remove
  Returns
    The old value of the property, if any
  Throws
    `P13nControlException` - if the Entity cannot be found

### setProperty

    void setProperty(PropertyLocator locator,
                     String propertySet,
                     String propertyName,
                     Object value)
                     throws P13nControlException

  Deprecated Use the ProfileControl to get the user or group profile manager, then call setProperty() on that. For example: ProfileControl.getUserProfileManager().setProperty(profileName, propertySet, propertyName, value)

  Sets the property identified by the given property set and property name to the given value for the entity specified by the given property locator.

  Parameters
    `locator` - a PropertyLocator identifying the entity to modify
    `propertySet` - the property set containing the property to modify
    `propertyName` - the name of the property to modify
    `value` - the value to persist for the given property and entity
  Throws
    `P13nControlException` - if the entity cannot be found, or if the value is not valid for the given property

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.